export default class CheckBox extends React.Component<any, any, any> {
    static propTypes: any;
    static defaultProps: {
        isChecked: boolean;
        isIndeterminate: boolean;
        leftTextStyle: {};
        rightTextStyle: {};
    };
    constructor(props: any);
    onClick(): void;
    _renderLeft(): any;
    _renderRight(): any;
    _renderImage(): any;
    _getCheckedCheckBoxColor(): any;
    _getUncheckedCheckBoxColor(): any;
    _getTintColor(): any;
    genCheckedImage(): JSX.Element;
}
import React from "react";
